Subject: Re: [Bitcoin-development] Useful bitcoin patches...

From: Matt Corallo <[email-masked]>
Date: Fri, 01 Jul 2011 18:25:27 +0200

1) Native Long Polling Support
Not sure about this one, it would be useful, but preferably done once
Bitcoin is cleaned up anyway. A probable good way would be a central
notification interface which net, wallets, etc all connect to, including
things like a pool server. Thus I'm not sure about merging something
like this now.

2) A fix from Luke Dash Jr.
His branch is at
https://gitorious.org/~Luke-Jr/bitcoin/luke-jr-bitcoin/commits/getwork_dedupe and I would say it would be good to merge. gmaxwell indicated that hes been running this for a while and it is stable.

3) Hub Mode
Why? We dont have enough nodes listening to begin with, this generates a
ton of net usage on other listening nodes, which is not good. If you
open up your ports, you will get just as many, if not more connections
very easily.

4) RPC Turbocharge
Yep, this is something that is needed, there is also the other asio pull
request on github, not sure how/if these compare.

5) Resource Leak Fix
Looks good to me.

Matt

On Fri, 2011-07-01 at 18:03 +0200, Christian Decker wrote:
> Some appear to be beneficial to everybody.
> Multithreading the RPC will certainly speed up quite a few services
> and I see no downside in adding it. The same is true for Keep-Alive.
> 
> I'm against including the long polling support because incredibly few
> people will benefit from it (pool providers) and yet it is included
> for everyone.
> 
> The Hub mode is good, and I would go a step further and optimize the
> connection logic for all nodes by default. 
> 
> Just IMHO
> 
> Regards,
> Chris
> 
> 
> On Fri, Jul 1, 2011 at 5:23 AM, Jeff Garzik <[email-masked]>
> wrote:
>         This was posted to IRC:
>         http://davids.webmaster.com/~davids/bitcoin-3diff.txt
>         
>         Includes several useful features that all the big pools have
>         been
>         screaming for...  notably HTTP/1.1 keep-alive support.
>         
>         --
>         Jeff Garzik
>         exMULTI, Inc.
>         [email-masked]